# Known package releases of git-machete

In case the given package system provides multiple channels (stable/edge etc.),
the **edge-most** channel that corresponds to the **released** versions of git-machete is listed
(so as to make spotting potential blockers/errors in the given system easier).

| Package system                        | Version                                                                                                 | Links                                                                                                                                                                                                                                                                                                                                                        | Controlled by                                                                               | Released by                                                                                                                                                                           | Downloads, last modified etc.                                                                                                                                                                                                                                                                                         |
|---------------------------------------|---------------------------------------------------------------------------------------------------------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------------------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| Alpine Linux                          | ![Alpine Linux Edge package](https://repology.org/badge/version-for-repo/alpine_edge/git-machete.svg?header=)   | [**Alpine Linux Edge package**](https://pkgs.alpinelinux.org/package/edge/community/x86/git-machete)                                                                                                                                                                                                                                                         | Alpine Linux package maintainers                                                            | Alpine Linux package maintainers                                                                                                                                                      |                                                                                                                                                                                                                                                                                                                       |
| Arch User Repository                  | ![AUR package](https://img.shields.io/aur/version/git-machete.svg?label=)                               | [**AUR package**](https://aur.archlinux.org/packages/git-machete)                                                                                                                                                                                                                                                                                            | AUR maintainers, incl. [Ila&iuml; Deutel](https://github.com/ilai-deutel)                   | AUR maintainers[^1]                                                                                                                                                                   | ![AUR last modified](https://img.shields.io/aur/last-modified/git-machete.svg)                                                                                                                                                                                                                                        |
| Conda Forge                           | ![Conda package](https://img.shields.io/conda/vn/conda-forge/git-machete.svg?label=)                    | [**Conda package**](https://anaconda.org/conda-forge/git-machete) <br/> [conda-forge/git-machete-feedstock PRs](https://github.com/conda-forge/git-machete-feedstock/pulls?q=is%3Apr)                                                                                                                                                                        | Feedstock maintainers, incl. [@asford (Alex Ford)](https://github.com/asford) and ourselves | Feedstock GitHub bot                                                                                                                                                                  | ![Conda downloads](https://img.shields.io/conda/dn/conda-forge/git-machete.svg)                                                                                                                                                                                                                                       |
| Gentoo                                | ![Gentoo package](https://repology.org/badge/version-for-repo/gentoo/git-machete.svg?header=)           | [**Gentoo package**](https://packages.gentoo.org/packages/dev-vcs/git-machete)                                                                                                                                                                                                                                                                               | Gentoo package maintainers                                                                  | Gentoo package maintainers                                                                                                                                                            |                                                                                                                                                                                                                                                                                                                       |
| GitHub Releases                       | ![GitHub latest release](https://img.shields.io/github/v/release/VirtusLab/git-machete?label=)          | [**GitHub releases**](https://github.com/VirtusLab/git-machete/releases)                                                                                                                                                                                                                                                                                     | Ourselves                                                                                   | Our CI on `master` builds                                                                                                                                                             | ![GitHub releases total downloads](https://img.shields.io/github/downloads/VirtusLab/git-machete/total)[^2]                                                                                                                                                                                                           |
| Homebrew                              | ![homebrew formula](https://img.shields.io/homebrew/v/git-machete.svg?label=)                           | [**Formula**](https://formulae.brew.sh/formula/git-machete) <br/> [Homebrew/homebrew-core -> Formula/git-machete.rb](https://github.com/Homebrew/homebrew-core/blob/master/Formula/git-machete.rb) <br/> [Homebrew/homebrew-core PRs](https://github.com/Homebrew/homebrew-core/pulls?q=is%3Apr+git-machete)                                                 | Homebrew maintainers                                                                        | Our CI on `master` builds (opens formula-bump PR), then homebrew-core GitHub Actions                                                                                                  | ![homebrew formula monthly downloads](https://img.shields.io/homebrew/installs/dm/git-machete.svg) <br/> ![homebrew formula quarterly downloads](https://img.shields.io/homebrew/installs/dq/git-machete.svg) <br/> ![homebrew formula yearly downloads](https://img.shields.io/homebrew/installs/dy/git-machete.svg) |
| [LiGurOS](https://liguros.gitlab.io/) | ![LiGurOS develop package](https://repology.org/badge/version-for-repo/liguros_develop/git-machete.svg?header=) | [**Repology**](https://repology.org/project/git-machete/versions)                                                                                                                                                                                                                                                                                            | LiGurOS package maintainers                                                                 | LiGurOS package maintainers                                                                                                                                                           |                                                                                                                                                                                                                                                                                                                       |
| nixpkgs                               | ![nixpkgs unstable package](https://repology.org/badge/version-for-repo/nix_unstable/git-machete.svg?header=)   | [**nixpkgs unstable package**](https://search.nixos.org/packages?channel=unstable&show=git-machete&query=git-machete) <br/> [NixOS/nixpkgs -> expression](https://github.com/NixOS/nixpkgs/blob/master/pkgs/applications/version-management/git-machete/default.nix) <br/> [NixOS/nixpkgs PRs](https://github.com/NixOS/nixpkgs/pulls?q=is%3Apr+git-machete) | nixpkgs maintainers, incl. [@blitz (Julian Stecklina)](https://github.com/blitz)            | [@r-ryantm bot](https://github.com/r-ryantm) ([logs](https://r.ryantm.com/log/updatescript/git-machete/))[^3]                                                                         |                                                                                                                                                                                                                                                                                                                       |
| PyPI                                  | ![PyPI package](https://img.shields.io/pypi/v/git-machete.svg?label=)                                   | [**PyPI package**](https://pypi.org/project/git-machete) <br/> [Test PyPI package](https://test.pypi.org/project/git-machete)                                                                                                                                                                                                                                | Ourselves                                                                                   | Our CI on `master` builds[^4]                                                                                                                                                         | ![PyPI daily downloads](https://img.shields.io/pypi/dd/git-machete.svg) <br/> ![PyPI weekly downloads](https://img.shields.io/pypi/dw/git-machete.svg) <br/> ![PyPI monthly downloads](https://img.shields.io/pypi/dm/git-machete.svg) <br/> ![PyPI wheel?](https://img.shields.io/pypi/wheel/git-machete.svg)        |
| PPA (Ubuntu)                          | [^5]                                                                                                    | [**PPA packages**](https://launchpad.net/~virtuslab/+archive/ubuntu/git-machete/+packages)                                                                                                                                                                                                                                                                   | Ourselves                                                                                   | Our CI on `master` builds (uploads source package), then Launchpad build system (see [builds](https://launchpad.net/~virtuslab/+archive/ubuntu/git-machete/+builds?&build_state=all)) |                                                                                                                                                                                                                                                                                                                       |
| Read the Docs                         | ![Read the Docs](https://readthedocs.org/projects/git-machete/badge/?version=stable)                    | [**Read the Docs**](https://git-machete.readthedocs.io/en/stable)                                                                                                                                                                                                                                                                                            | Ourselves                                                                                   | Read the Docs itself (see [builds](https://readthedocs.org/projects/git-machete/builds)), triggered by GitHub webhook                                                                 |                                                                                                                                                                                                                                                                                                                       |
| Snap                                  | ![Snap](https://snapcraft.io/git-machete/badge.svg)                                                     | [**Snap package**](https://snapcraft.io/git-machete)                                                                                                                                                                                                                                                                                                         | Ourselves                                                                                   | Our CI on `master` builds[^6]                                                                                                                                                         |                                                                                                                                                                                                                                                                                                                       |
| [T2 SDE](https://t2sde.org/)          | ![T2 SDE package](https://repology.org/badge/version-for-repo/t2/git-machete.svg?header=)                       | [**T2 SDE package**](https://t2sde.org/packages/git-machete)                                                                                                                                                                                                                                                                                                 | T2 SDE package maintainers                                                                  | T2 SDE package maintainers                                                                                                                                                            |                                                                                                                                                                                                                                                                                                                       |

[^1]: If the release introduces significant changes/critical bugfixes, please [flag the package as out of date](https://aur.archlinux.org/pkgbase/git-machete/flag).

[^2]: Downloads most likely correspond to the RPM packages attached to the releases.

[^3]: Releases used by done by our CI until @blitz's [PR #131141 to NixOS/nixpkgs](https://github.com/NixOS/nixpkgs/pull/131141) which set up the bot.

[^4]: `develop` CI builds release to Test PyPI, `master` builds to main (production) PyPI.

[^5]: There are no badges available for PPA packages; see [badges/shields#560](https://github.com/badges/shields/issues/560).

[^6]: Releases used to be done by Snap Store itself, triggered by webhook. [We moved that process to CI](https://github.com/VirtusLab/git-machete/issues/436) to skip a manual promotion step.

## [Repology](https://repology.org/project/git-machete/versions)

May duplicate badges already included in the above table,
but may also include newly-added packages that we're not aware of yet.

[![Packaging status](https://repology.org/badge/vertical-allrepos/git-machete.svg)](https://repology.org/project/git-machete/versions)
